# Interface methods for submodule: Sample
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import DataObjectProxy as _DataObjectProxy


# Interface methods for class: Sample
class SampleProxy(_DataObjectProxy):
	def GetNameOfClass(self):
		""""""
		...

	def Size(self) -> int:
		""""""
		...

	@overload
	def GetMeasurementVector(self, id: int) -> Sequence[float]:
		""""""
		...

	@overload
	def GetMeasurementVector(self, id: int) -> Sequence[int]:
		""""""
		...

	def GetFrequency(self, id: int) -> int:
		""""""
		...

	def GetTotalFrequency(self) -> int:
		""""""
		...

	def SetMeasurementVectorSize(self, s: int) -> None:
		""""""
		...

	def GetMeasurementVectorSize(self) -> int:
		""""""
		...

	def Graft(self, thatObject) -> None:
		""""""
		...

